## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# MutableNodeRefList::addNodeInDocOrderFunctor Class Reference

Collaboration diagram for MutableNodeRefList::addNodeInDocOrderFunctor:

[legend]
List of all members.

## Public Member Functions

- addNodeInDocOrderFunctor (MutableNodeRefList &theList, XPathExecutionContext &theExecutionContext)
- void operator() (XalanNode *theNode) const

## Constructor & Destructor Documentation

MutableNodeRefList::addNodeInDocOrderFunctor::addNodeInDocOrderFunctor | ( | MutableNodeRefList & | theList,
|  | XPathExecutionContext & | theExecutionContext
| ) |

## Member Function Documentation

void MutableNodeRefList::addNodeInDocOrderFunctor::operator() | ( | XalanNode * | theNode | ) | const

The documentation for this class was generated from the following file:

- MutableNodeRefList.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.